## libfreefare 0.4.0

=== CMakeLists.txt ===
# $Id$
project(libfreefare C)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

add_definitions("-std=c99")

find_package(LIBNFC REQUIRED)
find_package(OpenSSL REQUIRED)

IF(WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/config_windows.h.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/contrib/win32)
  find_library(WINSOCK_LIB libws2_32.a)
  set(LIBS ${LIBS} ${WINSOCK_LIB})
ENDIF(WIN32)

if(MINGW)
  # force MinGW-w64 in 32bit mode
  add_definitions("-m32")
  set(CMAKE_SHARED_LINKER_FLAGS -m32)
  set(CMAKE_EXE_LINKER_FLAGS -m32)
endif(MINGW)

message("CMAKE_C_FLAGS: " ${CMAKE_C_FLAGS})
message("CMAKE_SHARED_LINKER_FLAGS: " ${CMAKE_SHARED_LINKER_FLAGS})

include_directories(${LIBNFC_INCLUDE_DIRS} ${OPENSSL_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/contrib/libutil)
set(LIBS ${LIBS} ${LIBNFC_LIBRARIES} ${OPENSSL_LIBRARIES})

option(WITH_DEBUG "Extra debug information is outputted when this is turned on" OFF)

if(DEFINED CMAKE_INSTALL_LIBDIR)
  set(libdir ${CMAKE_INSTALL_LIBDIR})
else(DEFINED CMAKE_INSTALL_LIBDIR)
  set(CMAKE_INSTALL_LIBDIR lib)
  set(libdir ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
endif(DEFINED CMAKE_INSTALL_LIBDIR)

if(DEFINED INCLUDE_INSTALL_DIR)
  set(includedir ${INCLUDE_INSTALL_DIR})
else(DEFINED INCLUDE_INSTALL_DIR)
  set(INCLUDE_INSTALL_DIR include)
  set(includedir ${CMAKE_INSTALL_PREFIX}/${INCLUDE_INSTALL_DIR})
endif(DEFINED INCLUDE_INSTALL_DIR)

if(NOT DEFINED SHARE_INSTALL_PREFIX)
  set(SHARE_INSTALL_PREFIX share)
endif(NOT DEFINED SHARE_INSTALL_PREFIX)

add_subdirectory(libfreefare)
add_subdirectory(examples)

=== examples/CMakeLists.txt ===
# $Id$
set(EXAMPLES-SOURCES
        mifare-classic-format
        mifare-classic-read-ndef
        mifare-classic-write-ndef
        mifare-desfire-access
        mifare-desfire-create-ndef
        mifare-desfire-format
        mifare-desfire-info
        mifare-desfire-read-ndef
        mifare-desfire-write-ndef
        mifare-desfire-ev1-configure-ats
        mifare-desfire-ev1-configure-default-key
        mifare-desfire-ev1-configure-random-uid
        mifare-ultralight-info
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libfreefare)

# Examples
foreach(source ${EXAMPLES-SOURCES})
  add_executable(${source} ${source}.c)
  target_link_libraries(${source} freefare)
  install(TARGETS ${source} RUNTIME DESTINATION bin COMPONENT examples)
endforeach(source)

=== libfreefare/CMakeLists.txt ===
# $Id$
set(LIBRARY_SOURCES
		freefare
		freefare_internal
		mad
		mifare_application
		mifare_classic
		mifare_desfire
		mifare_desfire_aid
		mifare_desfire_crypto
		mifare_desfire_error
		mifare_desfire_key
		mifare_ultralight
		tlv
		../contrib/libutil/hexdump
		)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(freefare SHARED ${LIBRARY_SOURCES})
target_link_libraries(freefare ${LIBS})

set(installheaders freefare.h)
install(FILES ${installheaders} DESTINATION ${INCLUDE_INSTALL_DIR}/freefare COMPONENT headers)

if(WIN32)
  # On Windows the shared (runtime) library should be either in the same
  # directory as the excutables or in the path, we add it to same directory
  install(TARGETS freefare RUNTIME DESTINATION bin COMPONENT libraries)

  # At compile time we need the .LIB file, we place it in the lib directory
  install(TARGETS freefare ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT headers)
else(WIN32)
  install(TARGETS freefare LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT libraries)
endif(WIN32)

=== debian/changelog ===
libfreefare (0.4.0-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:31 +0000

libfreefare (0.4.0-2) unstable; urgency=low

  *  Update debian/copyrtight.
     Fix license to LGPL3+.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Mar 2014 08:48:08 +0900

libfreefare (0.4.0-1) unstable; urgency=low

  * Upload to Debian (Closes: #730243).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Dec 2013 07:42:55 +0900

libfreefare (0.4.0-0) unstable; urgency=low

  * New upstream version

 -- Romuald Conty <romuald@libnfc.org>  Wed, 4 Dec 2013 10:42:42 +0100

libfreefare (0.3.4-0) unstable; urgency=low

  * New upstream version

 -- Romuald Conty <romuald@libnfc.org>  Thu, 1 Mar 2012 18:42:42 +0200

libfreefare (0.3.3-0) unstable; urgency=low

  * New upstream version

 -- Romuald Conty <romuald@libnfc.org>  Thu, 1 Mar 2012 16:42:42 +0200

libfreefare (0.3.1-0) unstable; urgency=low

  * Initial debian package release

 -- Romuald Conty <romuald@libnfc.org>  Wed, 18 May 2011 12:42:42 +0200

=== debian/control ===
Source: libfreefare
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libnfc-dev (>= 1.7.0~rc7), pkg-config, libssl-dev
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/libfreefare/
Vcs-Git: git://anonscm.debian.org/collab-maint/libnfc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libfreefare.git;a=summary

Package: libfreefare0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: MIFARE card manipulations library
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations. 
 .
 This package contains the libfreefare library.

Package: libfreefare-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfreefare0 (= ${binary:Version}), libnfc-dev
Suggests: libfreefare-doc
Multi-Arch: same
Description: MIFARE card manipulations library (development files)
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations.
 .
 This package contains development files.

Package: libfreefare-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreefare0 (>= ${binary:Version})
Description: MIFARE card manipulations binaries
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations.
 .
 This package includes some binaries that are useful for development purposes.

Package: libfreefare-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for libfreefare
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations.
 .
 This package contains document files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_auto_configure:
	dh_auto_configure -- --without-cutter --disable-silent-rules

%:
	dh $@ --with autoreconf
